com.sun.jna.platform.win32

## Class WinNT.ACCESS_ACEStructure

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.WinNT.ACEStructure
    - - com.sun.jna.platform.win32.WinNT.ACCESS_ACEStructure

- Direct Known Subclasses:
    WinNT.ACCESS_ALLOWED_ACE, WinNT.ACCESS_DENIED_ACE
  Enclosing interface:
    WinNT

      public abstract static class WinNT.ACCESS_ACEStructure
      extends WinNT.ACEStructure

  ACCESS_ALLOWED_ACE and ACCESS_DENIED_ACE have the same structure layout

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByReference, Structure.ByValue, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.util.List<java.lang.String>` | `FIELDS`
    `int` | `Mask`
    `byte[]` | `SidStart` First 4 bytes of the SID Only used to have a valid field defined - use sid!

    - ### Fields inherited from class com.sun.jna.platform.win32.WinNT.ACEStructure

      `AceFlags, AceSize, AceType, psid`

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WinNT.ACCESS_ACEStructure()`
    `WinNT.ACCESS_ACEStructure(int Mask, byte AceType, byte AceFlags, WinNT.PSID psid)`
    `WinNT.ACCESS_ACEStructure(Pointer p)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.util.List<java.lang.String>` | `getFieldOrder()` Return this Structure's field names in their proper order.
    `void` | `read()` Reads the fields of the struct from native memory
    `void` | `write()` Write override due to psid not being a managed field

    - ### Methods inherited from class com.sun.jna.platform.win32.WinNT.ACEStructure

      `getSID, getSidString`

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### FIELDS

          public static final java.util.List<java.lang.String> FIELDS

    - #### Mask

          public int Mask

    - #### SidStart

          public byte[] SidStart

      First 4 bytes of the SID Only used to have a valid field defined - use sid!

  - ### Constructor Detail

    - #### WinNT.ACCESS_ACEStructure

          public WinNT.ACCESS_ACEStructure()

    - #### WinNT.ACCESS_ACEStructure

          public WinNT.ACCESS_ACEStructure(int Mask,
                                   byte AceType,
                                   byte AceFlags,
                                   WinNT.PSID psid)

    - #### WinNT.ACCESS_ACEStructure

          public WinNT.ACCESS_ACEStructure(Pointer p)

  - ### Method Detail

    - #### write

          public void write()

      Write override due to psid not being a managed field
      Overrides:
        `write` in class `Structure`

    - #### read

          public void read()

      Description copied from class: `Structure`
      Reads the fields of the struct from native memory
      Overrides:
        `read` in class `Structure`

    - #### getFieldOrder

          protected java.util.List<java.lang.String> getFieldOrder()

      Description copied from class: `Structure`
      Return this Structure's field names in their proper order. For example,

           protected List getFieldOrder() {
               return Arrays.asList(new String[] { ... });
           }

      IMPORTANT When deriving from an existing Structure subclass, ensure that you augment the list provided by the superclass, e.g.

           protected List getFieldOrder() {
               List fields = new ArrayList(super.getFieldOrder());
               fields.addAll(Arrays.asList(new String[] { ... }));
               return fields;
           }

      Field order must be explicitly indicated, since the field order as returned by `Class.getFields()` is not guaranteed to be predictable.
      Overrides:
        `getFieldOrder` in class `WinNT.ACEStructure`
      Returns:
        ordered list of field names

Copyright © 2007-2016 Timothy Wall. All Rights Reserved.